package domain


type AlibabaRetailMarketingItempoolActivityQueryExchangeRuleDTO struct {
    /*
        每组最大购买数量, 单次下单可换购的不同sku商品数     */
    MaxBuyNum  *int64 `json:"max_buy_num,omitempty" `

    /*
        换购分组顺序     */
    OrderNum  *int64 `json:"order_num,omitempty" `

}

func (s *AlibabaRetailMarketingItempoolActivityQueryExchangeRuleDTO) SetMaxBuyNum(v int64) *AlibabaRetailMarketingItempoolActivityQueryExchangeRuleDTO {
    s.MaxBuyNum = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivityQueryExchangeRuleDTO) SetOrderNum(v int64) *AlibabaRetailMarketingItempoolActivityQueryExchangeRuleDTO {
    s.OrderNum = &v
    return s
}
